Anonymous Login
2019-09-22 19:40 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000972Pending RequestsProjectspublic2014-11-22 21:59
Reportersimonnzg 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusfeedbackResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0000972: Project number not displayed in project summary?
DescriptionMy users use the project ID number as the main reference for projects. After all, the name can be changed but the number goes on forever. It's just that it's not actually displayed anywhere on the web pages. I have pointed out that it is in the URI of the project, of course, but they don't see that as being "ON THE PAGE"! As a sop to them I modified projects/view.php to allow the project ID to appear in the project view next to the name of the project:
"Widget Production (Project 2356)"

 

Additional InformationTo do this, in our copy of W2P I altered (currently) line 130+- of modules/projects/view.php
From:
"' . $project->project_name . '"
To:
"' . $project->project_name . ' (Project '. $project->project_id . ')"

That seems to satisfy them, but is it just my lot that want this or does anyone else ask for something similar??? I can imagine that if it's not necessary, I'll simply keep making this change manually as it could open a can of worms: you'll get requests for Project and then Task numbers displayed (or not, depending on preferences), requests to add custom status or user prefixes, suffixes reports, printouts, etc. to the mix.
I'll be on #web2project on Freenode... ;-)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003613

caseydk (administrator)

Resolved in development:
https://github.com/web2project/web2project/commit/1c9b39cb5e7b9bcefc29e885dd07cc95e154ba87

~0003641

simonnzg (reporter)

I'm not sure this is correct. The change linked https://github.com/web2project/web2project/commit/1c9b39cb5e7b9bcefc29e885dd07cc95e154ba87 does not seem to refer to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-15 04:21 simonnzg New Issue
2011-09-27 23:21 caseydk Project v3.0 Release => Pending Requests
2014-08-16 10:06 caseydk Category General => Projects
2014-08-16 10:08 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-08-16 10:08 caseydk Note Added: 0003613
2014-08-16 10:08 caseydk Status new => resolved
2014-08-16 10:08 caseydk Resolution open => fixed
2014-08-16 10:08 caseydk Assigned To => caseydk
2014-08-16 10:08 caseydk Fixed in Version => 4.0
2014-08-16 10:08 caseydk Target Version => 4.0
2014-09-05 02:20 simonnzg Note Added: 0003641
2014-09-05 02:20 simonnzg Status resolved => feedback
2014-09-05 02:20 simonnzg Resolution fixed => reopened
2014-11-22 21:59 caseydk Project v4.0 Release (Planning) => Pending Requests
+Issue History